GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Building my GS game for 3GS & iPod Touch (3rd Generation) only

TobyToby Posts: 478Member
edited 4:50AM in Tech Support
looking at some solutions to my game Elerium and it's 3G problem. Apple suggested I can build specifically for a generation of iPhone/Touch (3rd Gen) if hardware specs were too limiting on the 3G handset.

I have to configure the UIRequiredDeviceCapabilities key in the application’s Info.plist file

Maybe a series of checkboxes when uploading the game to GS perhaps?

Is there an easy way to define this using GS and target the desired device(s)?

Comments

  • jonmulcahyjonmulcahy Posts: 10,376Member, Sous Chef
    when you upload to apple, i think there's an option where you decide which apps it will be allowed to run on.
  • TobyToby Posts: 478Member
    Yep noticed that, but it only gives you the options.....

    http://www.tobybridson.com/Unused/Device_Selection.png

    Needs to be done when the app is compiled by GS and have the option of 3rd Generation!
  • TobyToby Posts: 478Member
    Ahhh, found some stuff on the Apple site. You can manually modify the 'info.plist' file using xcode or textedit. This key (metadata) will make the game purchasable by only people with the capable hardware - in this case a iPhone 3GS.

    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>UIRequiredDeviceCapabilities</key> ~~~~~~~(my inserted key)

    <need a string here.... not sure what yet, something 3GS specific eg Compass>

    <key>CFBundleDevelopmentRegion</key>
    <string>en</string>
    <key>CFBundleDisplayName</key>
    <string>GS Viewer</string>
    <key>CFBundleExecutable</key>
  • TobyToby Posts: 478Member
    Looks like you only need to include this to make it 3rd gen only (3GS & Touch)

    <key>UIRequiredDeviceCapabilities</key>
    <string>armv7</string>
This discussion has been closed.